## mender-client4 5.1.0~git20250924.f8a26fab

=== src/common/CMakeLists.txt ===
add_library(main_test STATIC EXCLUDE_FROM_ALL main_test.cpp)
target_link_libraries(main_test PRIVATE common_log)
target_link_libraries(main_test PUBLIC common_setup gtest)
target_compile_options(main_test PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
add_dependencies(tests main_test)

add_executable(io_test EXCLUDE_FROM_ALL io_test.cpp)
target_link_libraries(io_test PUBLIC common_io common_error common_testing main_test gmock)
gtest_discover_tests(io_test NO_PRETTY_VALUES)
add_dependencies(tests io_test)

add_library(common_testing EXCLUDE_FROM_ALL STATIC testing.cpp)
target_compile_options(common_testing PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(common_testing PUBLIC
  common_events
  common_http
  common_log
  common_json
  common_processes
  gtest
)

add_executable(json_test EXCLUDE_FROM_ALL json_test.cpp)
target_link_libraries(json_test PUBLIC common_json main_test gmock)
gtest_discover_tests(json_test NO_PRETTY_VALUES)
add_dependencies(tests json_test)

add_executable(yaml_test EXCLUDE_FROM_ALL yaml_test.cpp)
target_link_libraries(yaml_test PUBLIC common_yaml main_test gmock)
gtest_discover_tests(yaml_test ${MENDER_TEST_FLAGS} NO_PRETTY_VALUES)
add_dependencies(tests yaml_test)

# Test Mender Key Value Database
add_executable(key_value_database_test EXCLUDE_FROM_ALL key_value_database_test.cpp)
target_link_libraries(key_value_database_test PRIVATE
  common_testing
  common_error
  common_key_value_database
  main_test
  gmock
)
# Use NO_PRETTY_VALUES to avoid very long byte strings in the output due to
# parametrized tests that have binary objects as input.
gtest_discover_tests(key_value_database_test NO_PRETTY_VALUES)
add_dependencies(tests key_value_database_test)

add_executable(events_test EXCLUDE_FROM_ALL events_test.cpp)
target_compile_options(events_test PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(events_test PUBLIC common_events main_test)
gtest_discover_tests(events_test ${MENDER_TEST_FLAGS} NO_PRETTY_VALUES)
add_dependencies(tests events_test)

add_executable(events_io_test EXCLUDE_FROM_ALL events_io_test.cpp)
target_link_libraries(events_io_test PUBLIC common_events common_io common_path common_setup common_testing main_test)
gtest_discover_tests(events_io_test ${MENDER_TEST_FLAGS} NO_PRETTY_VALUES)
add_dependencies(tests events_io_test)

add_executable(http_test EXCLUDE_FROM_ALL http_test.cpp)
target_link_libraries(http_test PUBLIC common_io common_http common_processes common_testing main_test gmock)
gtest_discover_tests(http_test
  ${MENDER_TEST_FLAGS}
  WORKING_DIRECTORY ${MENDER_TEST_SRC_DIR}/common/http/testdata/
  NO_PRETTY_VALUES
)
add_dependencies(tests http_test)

add_executable(http_proxy_test EXCLUDE_FROM_ALL http_proxy_test.cpp)
target_link_libraries(http_proxy_test PUBLIC common_http common_processes common_testing main_test gmock)
gtest_discover_tests(http_proxy_test
  ${MENDER_TEST_FLAGS}
  WORKING_DIRECTORY ${MENDER_TEST_SRC_DIR}/common/http/testdata/
  NO_PRETTY_VALUES
)
add_dependencies(tests http_proxy_test)

# Test MenderLog
add_executable(log_test EXCLUDE_FROM_ALL log_test.cpp)
target_link_libraries(log_test PRIVATE common_log common_testing main_test gmock)
gtest_discover_tests(log_test NO_PRETTY_VALUES)
add_dependencies(tests log_test)

add_executable(processes_test EXCLUDE_FROM_ALL processes_test.cpp)
target_compile_options(processes_test PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(processes_test PUBLIC client_shared_conf common_path common_processes common_error common_testing main_test gmock)
if(${procs_sources} MATCHES ".*tiny_process_library.*")
  target_include_directories(processes_test PRIVATE ${CMAKE_SOURCE_DIR}/vendor/tiny-process-library)
  target_link_libraries(processes_test PUBLIC tiny-process-library::tiny-process-library)
endif()
gtest_discover_tests(processes_test NO_PRETTY_VALUES)
add_dependencies(tests processes_test)

add_executable(key_value_parser_test EXCLUDE_FROM_ALL key_value_parser_test.cpp)
target_link_libraries(key_value_parser_test PUBLIC common_key_value_parser main_test)
gtest_discover_tests(key_value_parser_test NO_PRETTY_VALUES)
add_dependencies(tests key_value_parser_test)

add_executable(crypto_test EXCLUDE_FROM_ALL crypto_test.cpp)
target_compile_options(crypto_test PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(crypto_test PUBLIC
  common_crypto
  common_testing
  main_test
  gmock
)
gtest_discover_tests(crypto_test
  ${MENDER_TEST_FLAGS}
  WORKING_DIRECTORY ${MENDER_TEST_SRC_DIR}/common/crypto/testdata/
  NO_PRETTY_VALUES
)
add_dependencies(tests crypto_test)

if(MENDER_USE_DBUS)
  add_executable(dbus_test EXCLUDE_FROM_ALL platform/dbus_test.cpp)
  target_link_libraries(dbus_test PUBLIC
    common_dbus
    common_testing
    common_processes
    main_test
    gmock
  )
  gtest_discover_tests(dbus_test ${MENDER_TEST_FLAGS} NO_PRETTY_VALUES)
  add_dependencies(tests dbus_test)
endif()

add_subdirectory(http_resumer)

=== common/vendor/json/docs/mkdocs/requirements.txt ===
wheel==0.45.1

mkdocs==1.6.1                                       # documentation framework
mkdocs-git-revision-date-localized-plugin==1.4.7    # plugin "git-revision-date-localized"
mkdocs-material==9.6.18                             # theme for mkdocs
mkdocs-material-extensions==1.3.1                   # extensions
mkdocs-minify-plugin==0.8.0                         # plugin "minify"
mkdocs-redirects==1.2.2                             # plugin "redirects"
mkdocs-htmlproofer-plugin==1.3.0                    # plugin "htmlproofer"

PyYAML==6.0.2                                       # linter

=== debian/changelog ===
mender-client4 (5.1.0~git20250924.f8a26fab-1+ubuntu+noble+builder2070485967) experimental; urgency=medium

  * Release 5.1.0~git20250924.f8a26fab-1+ubuntu+noble+builder2070485967.
    See online docs for complete changelog

 -- root <root@41f83f0f8390>  Mon, 29 Sep 2025 20:09:10 +0000

## mender-client4 5.1.0~git20250930.fe270ec0

=== debian/changelog ===
mender-client4 (5.1.0~git20250930.fe270ec0-1+ubuntu+noble+builder2072824469) experimental; urgency=medium

  * Release 5.1.0~git20250930.fe270ec0-1+ubuntu+noble+builder2072824469.
    See online docs for complete changelog

 -- root <root@b521da429a65>  Tue, 30 Sep 2025 20:12:21 +0000

## mender-client4 5.1.0~git20251002.54856038

=== debian/changelog ===
mender-client4 (5.1.0~git20251002.54856038-1+ubuntu+noble+builder2077236201) experimental; urgency=medium

  * Release 5.1.0~git20251002.54856038-1+ubuntu+noble+builder2077236201.
    See online docs for complete changelog

 -- root <root@f91938c1c098>  Thu, 02 Oct 2025 20:14:38 +0000

## mender-client4 5.1.0~git20251003.f0e95e4b

=== debian/changelog ===
mender-client4 (5.1.0~git20251003.f0e95e4b-1+ubuntu+noble+builder2082176904) experimental; urgency=medium

  * Release 5.1.0~git20251003.f0e95e4b-1+ubuntu+noble+builder2082176904.
    See online docs for complete changelog

 -- root <root@548f5a64a896>  Sun, 05 Oct 2025 20:32:46 +0000

## mender-client4 5.1.0~git20251006.a2835819

=== debian/changelog ===
mender-client4 (5.1.0~git20251006.a2835819-2+ubuntu+noble+builder2092099627) experimental; urgency=medium

  * Release 5.1.0~git20251006.a2835819-2+ubuntu+noble+builder2092099627.
    See online docs for complete changelog

 -- root <root@dd8648465163>  Fri, 10 Oct 2025 07:38:35 +0000

## mender-client4 5.1.0~git20251031.bef0f8f3

=== common/CMakeLists.txt ===
project(mender-common)

include(CheckCXXSourceCompiles)

# TODO: proper platform detection
set(PLATFORM linux_x86)

set(MENDER_BUFSIZE 16384 CACHE STRING "Size of most internal block buffers. Can be reduced to conserve memory, but increases CPU usage.")
option(MENDER_LOG_BOOST "Use Boost as the underlying logging library provider (Default: ON)" ON)
option(MENDER_TAR_LIBARCHIVE "Use libarchive as the underlying tar library provider (Default: ON)" ON)
option(MENDER_SHA_OPENSSL "Use OpenSSL as the underlying shasum provider (Default: ON)" ON)
option(MENDER_CRYPTO_OPENSSL "Use OpenSSL as the underlying cryptography provider (Default: ON)" ON)

option(MENDER_ARTIFACT_GZIP_COMPRESSION "Enable GZIP compression support when downloading and extracting Artifacts (Default: ON)" ON)
option(MENDER_ARTIFACT_LZMA_COMPRESSION "Enable LZMA compression support when downloading and extracting Artifacts (Default: ON)" ON)
option(MENDER_ARTIFACT_ZSTD_COMPRESSION "Enable Zstd compression support when downloading and extracting Artifacts (Default: ON)" ON)
option(MENDER_USE_YAML_CPP "Use Yaml CPP as the Yaml library provider (Default: ON)" ON)

if (${PLATFORM} STREQUAL linux_x86)
  set(POSIX_DEFAULT ON)
else()
  set(POSIX_DEFAULT OFF)
endif()

option(MENDER_USE_DBUS "Enable DBus to communicate between processes" ${POSIX_DEFAULT})
option(MENDER_USE_ASIO_LIBDBUS "Use Boost ASIO DBus backend" ${POSIX_DEFAULT})
option(MENDER_USE_BOOST_ASIO "" ${POSIX_DEFAULT})
option(MENDER_USE_BOOST_BEAST "" ${POSIX_DEFAULT})
option(MENDER_USE_LMDB "" ${POSIX_DEFAULT})
option(MENDER_USE_NLOHMANN_JSON "" ${POSIX_DEFAULT})
option(MENDER_USE_TINY_PROC_LIB "" ${POSIX_DEFAULT})

configure_file(config.h.in config.h)

if(${MENDER_USE_TINY_PROC_LIB})
  add_subdirectory(vendor/tiny-process-library)
endif()

include(cmake/boost.cmake)

add_library(common_cpp INTERFACE)
target_compile_options(common_cpp INTERFACE
  # Make all warnings that are on into errors.
  -Werror -Wall

  # Make sure we use `override` everywhere.
  -Wsuggest-override

  # Warn about lossy number conversions, which often arise in int64_t vs size_t scenarios.
  -Wconversion

  # Don't warn about sign conversion, which have an extreme amount of false positives. This is
  # mainly because sizes are unsigned, while iterator arithmetic is signed, and they are very often
  # combined, which is perfectly fine. It's possible this may hide certain real errors, but the
  # sheer amount of false positives just isn't worth it.
  -Wno-sign-conversion

  # Miscellaneus.
  -Wpacked
  -Wpointer-arith
  -Wredundant-decls
  -Wold-style-cast
)
target_include_directories(common_cpp SYSTEM INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/vendor/expected/include)
target_include_directories(common_cpp SYSTEM INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/vendor/optional-lite/include)

add_library(common STATIC common.cpp)
target_include_directories(common PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/..)
# For the generated config.h.
target_include_directories(common PUBLIC ${CMAKE_CURRENT_BINARY_DIR}/..)
target_link_libraries(common PUBLIC common_cpp)

add_library(common_device_tier STATIC device_tier.cpp)
target_link_libraries(common_device_tier PUBLIC common)

add_library(common_setup STATIC setup/platform/posix/setup.cpp)
target_link_libraries(common_setup PUBLIC common)

add_library(common_error STATIC
  error.cpp
  error/platform/c++11/error.cpp
)
target_link_libraries(common_error PUBLIC common)

add_library(common_io STATIC
  io/io.cpp
  io/platform/c++17/io.cpp
  io/platform/posix/io.cpp
)
target_compile_options(common_io PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(common_io PUBLIC common)

add_library(common_path STATIC)
target_sources(common_path PRIVATE
  path/platform/c++17/path.cpp
  path/platform/posix/path.cpp
)
target_compile_options(common_path PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(common_path
  PUBLIC
  common_log
)

check_cxx_source_compiles("#include <filesystem>
  int main() { std::filesystem::path p(\"/\"); }" STD_FILESYSTEM_AVAILABLE)
if(NOT "${STD_FILESYSTEM_AVAILABLE}" STREQUAL 1)
  target_link_libraries(common_path PUBLIC ${STD_FILESYSTEM_LIB_NAME})
endif()

add_library(common_json STATIC json/json.cpp)
target_compile_options(common_json PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
if(MENDER_USE_NLOHMANN_JSON)
  target_sources(common_json PRIVATE json/platform/nlohmann/nlohmann_json.cpp)
  target_include_directories(common_json PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/vendor/json/include/)
  target_link_libraries(common_json PUBLIC common common_io common_error)
endif()

add_library(common_key_value_database STATIC
  key_value_database.cpp
)
target_compile_options(common_key_value_database PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
if(MENDER_USE_LMDB)
  target_sources(common_key_value_database PRIVATE key_value_database/platform/lmdb/lmdb.cpp)
  # Note: Use SYSTEM include style, since lmdbxx triggers some of our warnings.
  target_include_directories(common_key_value_database SYSTEM PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/vendor/lmdbxx/include)
  target_link_libraries(common_key_value_database PUBLIC
    lmdb
    common
    common_log
  )
endif()

add_library(common_events STATIC
  events/events_io.cpp
  events/platform/boost/events.cpp
  events/platform/boost/events_io.cpp
)
target_compile_options(common_events PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(common_events PUBLIC common_error common_log)
target_link_libraries(common_events PUBLIC Boost::asio)

find_package(OpenSSL REQUIRED)
if(NOT ${OpenSSL_Found})
  message(FATAL_ERROR "OpenSSL not found during build")
endif()

if ("${OPENSSL_VERSION}" VERSION_LESS 3.0.0)
  set(MENDER_CRYPTO_OPENSSL_LEGACY 1)
else()
  set(MENDER_CRYPTO_OPENSSL_LEGACY 0)
endif()

configure_file(crypto/platform/openssl/openssl_config.h.in crypto/platform/openssl/openssl_config.h)

add_library(common_http STATIC http/http.cpp http/platform/beast/http.cpp)
target_compile_options(common_http PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(common_http PUBLIC
  Boost::beast
  common
  common_crypto
  common_events
  common_error
  common_log
  OpenSSL::SSL
  OpenSSL::Crypto
)
if ("${CMAKE_SYSTEM_NAME}" STREQUAL "QNX")
  target_link_libraries(common_http PUBLIC socket)
endif()

add_library(common_log STATIC)
# Accept the global compiler flags
target_compile_options(common_log PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_sources(common_log PRIVATE log/platform/boost/boost_log.cpp)
target_link_libraries(common_log PUBLIC common_error Boost::log)

add_library(common_processes STATIC processes/processes.cpp)
target_compile_options(common_processes PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(common_processes PUBLIC common_error common_events common_log common)
if(MENDER_USE_TINY_PROC_LIB)
  target_sources(common_processes PRIVATE processes/platform/tiny_process_library/tiny_process_library.cpp)
  target_include_directories(common_processes PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/vendor/tiny-process-library)
  target_link_libraries(common_processes PUBLIC tiny-process-library::tiny-process-library common_path)
endif()

add_library(common_key_value_parser STATIC key_value_parser/key_value_parser.cpp)
target_link_libraries(common_key_value_parser PUBLIC common_error)

add_library(common_crypto STATIC crypto/crypto.cpp crypto/platform/openssl/crypto.cpp)
target_compile_options(common_crypto PRIVATE
  ${PLATFORM_SPECIFIC_COMPILE_OPTIONS}
  # For OpenSSLv3 we do want the deprecated support to support the Engine API
  -Wno-deprecated-declarations
)
target_link_libraries(common_crypto PUBLIC
  common_log
  common_io
  common_path
  sha
  OpenSSL::SSL
  OpenSSL::Crypto
)

if(MENDER_USE_DBUS)
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(dbus REQUIRED dbus-1)
  add_library(common_dbus STATIC platform/dbus/dbus.cpp platform/dbus/asio_libdbus/dbus.cpp)
  target_link_libraries(common_dbus PUBLIC
    common_log
    common_error
    common_events
    ${dbus_LDFLAGS}
  )
  target_compile_options(common_dbus PUBLIC ${dbus_CFLAGS})

  if(MENDER_USE_ASIO_LIBDBUS)
    target_sources(common_dbus PRIVATE platform/dbus/asio_libdbus/dbus.cpp)
    target_link_libraries(common_dbus PUBLIC
      OpenSSL::SSL
      OpenSSL::Crypto
    )
  endif()
endif()

# Header-only.
add_library(common_state_machine INTERFACE)

if (MENDER_USE_YAML_CPP)
  add_subdirectory(vendor/yaml-cpp)
  add_library(common_yaml STATIC yaml/yaml.cpp yaml/platform/yaml-cpp/yaml.cpp)
  target_link_libraries(common_yaml PUBLIC common common_io common_error yaml-cpp::yaml-cpp)
  target_compile_options(common_yaml PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
endif()

add_library(mender_http_resumer STATIC
  http/http_resumer.cpp
)
target_link_libraries(mender_http_resumer PUBLIC
  common_http
)

=== modules-artifact-gen/tests/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile requirements.in
#
exceptiongroup==1.1.3
    # via pytest
iniconfig==2.0.0
    # via pytest
packaging==23.1
    # via pytest
pluggy==1.5.0
    # via pytest
pygments==2.19.1
    # via pytest
pytest==8.4.2
    # via -r requirements.in
tomli==2.0.1
    # via pytest

=== common/vendor/json/docs/mkdocs/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 mkdocs==1.6.1                                       # documentation framework
 mkdocs-git-revision-date-localized-plugin==1.4.7    # plugin "git-revision-date-localized"
-mkdocs-material==9.6.18                             # theme for mkdocs
+mkdocs-material==9.6.20                             # theme for mkdocs
 mkdocs-material-extensions==1.3.1                   # extensions
 mkdocs-minify-plugin==0.8.0                         # plugin "minify"
 mkdocs-redirects==1.2.2                             # plugin "redirects"

=== debian/changelog ===
mender-client4 (5.1.0~git20251031.bef0f8f3-1+ubuntu+noble+builder2134755934) experimental; urgency=medium

  * Release 5.1.0~git20251031.bef0f8f3-1+ubuntu+noble+builder2134755934.
    See online docs for complete changelog

 -- root <root@1330dd436621>  Sat, 01 Nov 2025 20:10:10 +0000

## mender-client4 5.1.0~git20251102.74b2ac07

=== debian/changelog ===
mender-client4 (5.1.0~git20251102.74b2ac07-1+ubuntu+noble+builder2142334790) experimental; urgency=medium

  * Release 5.1.0~git20251102.74b2ac07-1+ubuntu+noble+builder2142334790.
    See online docs for complete changelog

 -- root <root@0e21aa8b1024>  Wed, 05 Nov 2025 20:24:30 +0000

## mender-client4 5.1.0~git20251106.cb5ea868

=== debian/changelog ===
mender-client4 (5.1.0~git20251106.cb5ea868-1+ubuntu+noble+builder2157571997) experimental; urgency=medium

  * Release 5.1.0~git20251106.cb5ea868-1+ubuntu+noble+builder2157571997.
    See online docs for complete changelog

 -- root <root@9e234b642fc2>  Thu, 13 Nov 2025 20:08:39 +0000

## mender-client4 5.1.0~git20251114.a9229d68

=== CMakeLists.txt ===
execute_process(
  COMMAND sh -c "git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD"
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  OUTPUT_VARIABLE MENDER_VERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE
  ERROR_VARIABLE GIT_CMD_ERROR
)
if(NOT "${GIT_CMD_ERROR}" STREQUAL "")
  message(FATAL_ERROR "Git command failed:\n" ${GIT_CMD_ERROR})
endif()

configure_file(mender-version.h.in mender-version.h)

set(MENDER_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(MENDER_BINARY_SRC_DIR ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(common)
add_subdirectory(api)
add_subdirectory(client_shared)
add_subdirectory(mender-update)
add_subdirectory(mender-auth)
add_subdirectory(artifact)

=== modules-artifact-gen/tests/requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     # via pytest
 pygments==2.19.1
     # via pytest
-pytest==8.4.2
+pytest==9.0.0
     # via -r requirements.in
 tomli==2.0.1
     # via pytest

=== common/vendor/optional-lite/example/CMakeLists.txt ===
# Copyright 2021-2021 by Martin Moene
#
# https://github.com/martinmoene/optional-lite
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

if( NOT DEFINED CMAKE_MINIMUM_REQUIRED_VERSION )
    cmake_minimum_required( VERSION 3.15 FATAL_ERROR )
endif()

project( example LANGUAGES CXX )

# unit_name provided by toplevel CMakeLists.txt
set( PACKAGE   ${unit_name}-lite )
set( PROGRAM   ${unit_name}-lite )

message( STATUS "Subproject '${PROJECT_NAME}', examples '${PROGRAM}-*'")

# Target default options and definitions:

set( OPTIONS "" )
#set( DEFINITIONS "" )

# Sources (.cpp), normal and no-exception, and their base names:

set( SOURCES
    01-to_int.cpp
    02-nodefltctor.cpp
    # 04-any-optional-variant.cpp
    05-no-exceptions.cpp
)

set( SOURCES_NE
    05-no-exceptions.cpp
)

string( REPLACE ".cpp" "" BASENAMES    "${SOURCES}" )
string( REPLACE ".cpp" "" BASENAMES_NE "${SOURCES_NE}" )

# Determine options:

if( MSVC )
    message( STATUS "Matched: MSVC")

    set( BASE_OPTIONS -W3 )
    set( EXCEPTIONS_OPTIONS ${BASE_OPTIONS} -EHsc )
    set( NO_EXCEPTIONS_OPTIONS ${BASE_OPTIONS} )

elseif( CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang|AppleClang" )
    message( STATUS "CompilerId: '${CMAKE_CXX_COMPILER_ID}'")

    set( BASE_OPTIONS -Wall -Wextra -Wconversion -Wsign-conversion -Wno-missing-braces -fno-elide-constructors )
    set( EXCEPTIONS_OPTIONS ${BASE_OPTIONS} )
    set( NO_EXCEPTIONS_OPTIONS -fno-exceptions )

elseif( CMAKE_CXX_COMPILER_ID MATCHES "Intel" )
    # as is
    message( STATUS "Matched: Intel")
else()
    # as is
    message( STATUS "Matched: nothing")
endif()

# Function to emulate ternary operation `result = b ? x : y`:

macro( ternary var boolean value1 value2 )
    if( ${boolean} )
        set( ${var} ${value1} )
    else()
        set( ${var} ${value2} )
    endif()
endmacro()

# Function to create a target:

function( make_target name no_exceptions )
    ternary( ne no_exceptions "-ne" "" )

    add_executable             ( ${PROGRAM}-${name}${ne} ${name}.cpp )
    target_include_directories ( ${PROGRAM}-${name}${ne} PRIVATE ../include )
    target_link_libraries      ( ${PROGRAM}-${name}${ne} PRIVATE ${PACKAGE} )
    if ( no_exceptions )
        target_compile_options ( ${PROGRAM}-${name}${ne} PRIVATE ${NO_EXCEPTIONS_OPTIONS} )
    else()
        target_compile_options ( ${PROGRAM}-${name}${ne} PRIVATE ${EXCEPTIONS_OPTIONS} )
    endif()

endfunction()

# Create targets:

foreach( target ${BASENAMES} )
    make_target( ${target} FALSE )
endforeach()

foreach( target ${BASENAMES_NE} )
    make_target( ${target} TRUE )
endforeach()

# end of file

=== common/vendor/json/docs/mkdocs/requirements.txt ===
wheel==0.45.1

mkdocs==1.6.1                                       # documentation framework
mkdocs-git-revision-date-localized-plugin==1.4.7    # plugin "git-revision-date-localized"
mkdocs-material==9.6.22                             # theme for mkdocs
mkdocs-material-extensions==1.3.1                   # extensions
mkdocs-minify-plugin==0.8.0                         # plugin "minify"
mkdocs-redirects==1.2.2                             # plugin "redirects"
mkdocs-htmlproofer-plugin==1.4.0                    # plugin "htmlproofer"

PyYAML==6.0.3                                       # linter

=== common/vendor/json/tests/cmake_add_subdirectory/CMakeLists.txt ===
add_test(NAME cmake_add_subdirectory_configure
  COMMAND ${CMAKE_COMMAND}
    -G "${CMAKE_GENERATOR}"
    -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
    -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
    -Dnlohmann_json_source=${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/project
)
add_test(NAME cmake_add_subdirectory_build
  COMMAND ${CMAKE_COMMAND} --build .
)
set_tests_properties(cmake_add_subdirectory_configure PROPERTIES
  FIXTURES_SETUP cmake_add_subdirectory
  LABELS not_reproducible
)
set_tests_properties(cmake_add_subdirectory_build PROPERTIES
  FIXTURES_REQUIRED cmake_add_subdirectory
  LABELS not_reproducible
)

=== common/vendor/json/tests/cmake_import_minver/project/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.14)

project(DummyImportMinVer CXX)

find_package(nlohmann_json 3.2.0 REQUIRED)

if(MSVC)
    add_compile_options(/EHsc)
endif()

add_executable(with_namespace_target main.cpp)
target_link_libraries(with_namespace_target nlohmann_json::nlohmann_json)

=== debian/changelog ===
mender-client4 (5.1.0~git20251114.a9229d68-1+ubuntu+noble+builder2164645062) experimental; urgency=medium

  * Release 5.1.0~git20251114.a9229d68-1+ubuntu+noble+builder2164645062.
    See online docs for complete changelog

 -- root <root@b674501b5c25>  Tue, 18 Nov 2025 09:34:29 +0000

## mender-client4 5.1.0~git20251119.82c06f1d

=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,11 @@
 target_link_libraries(json_test PUBLIC common_json main_test gmock)
 gtest_discover_tests(json_test NO_PRETTY_VALUES)
 add_dependencies(tests json_test)
+
+add_executable(device_tier_test EXCLUDE_FROM_ALL device_tier_test.cpp)
+target_link_libraries(device_tier_test PUBLIC common_device_tier main_test gmock)
+gtest_discover_tests(device_tier_test NO_PRETTY_VALUES)
+add_dependencies(tests device_tier_test)
 
 add_executable(yaml_test EXCLUDE_FROM_ALL yaml_test.cpp)
 target_link_libraries(yaml_test PUBLIC common_yaml main_test gmock)

=== debian/changelog ===
mender-client4 (5.1.0~git20251119.82c06f1d-1+ubuntu+noble+builder2170695238) experimental; urgency=medium

  * Release 5.1.0~git20251119.82c06f1d-1+ubuntu+noble+builder2170695238.
    See online docs for complete changelog

 -- root <root@aaa9b6ac6eed>  Thu, 20 Nov 2025 20:25:28 +0000

## mender-client4 5.1.0~git20251121.cd28df6a

=== debian/changelog ===
mender-client4 (5.1.0~git20251121.cd28df6a-1+ubuntu+noble+builder2186766951) experimental; urgency=medium

  * Release 5.1.0~git20251121.cd28df6a-1+ubuntu+noble+builder2186766951.
    See online docs for complete changelog

 -- root <root@6a6cbed7ba9b>  Sat, 29 Nov 2025 20:08:38 +0000

## mender-client4 5.1.0~git20251130.9fa46f7e

=== debian/changelog ===
mender-client4 (5.1.0~git20251130.9fa46f7e-1+ubuntu+noble+builder2200846825) experimental; urgency=medium

  * Release 5.1.0~git20251130.9fa46f7e-1+ubuntu+noble+builder2200846825.
    See online docs for complete changelog

 -- root <root@0f447f04d8bd>  Sun, 07 Dec 2025 20:08:25 +0000

## mender-client4 5.1.0~git20251208.cd0537f1

=== client_shared/CMakeLists.txt ===
add_library(client_shared_config_parser STATIC config_parser/config_parser.cpp)
target_link_libraries(client_shared_config_parser PUBLIC common_json common_log common_device_tier)

add_library(client_shared_identity_parser STATIC identity_parser/identity_parser.cpp)
target_link_libraries(client_shared_identity_parser PUBLIC common_key_value_parser common_processes common_json)

add_library(client_shared_inventory_parser STATIC)
target_sources(client_shared_inventory_parser PRIVATE inventory_parser/platform/c++17/inventory_parser.cpp)
target_compile_options(client_shared_inventory_parser PRIVATE ${PLATFORM_SPECIFIC_COMPILE_OPTIONS})
target_link_libraries(client_shared_inventory_parser PUBLIC common_key_value_parser common_processes common_log)

add_library(client_shared_conf STATIC conf/conf.cpp conf/conf_cli_help.cpp)
target_link_libraries(client_shared_conf PUBLIC common_http common_log common_error common_path client_shared_config_parser)

=== modules-artifact-gen/tests/requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     # via pytest
 pygments==2.19.1
     # via pytest
-pytest==9.0.0
+pytest==9.0.1
     # via -r requirements.in
 tomli==2.0.1
     # via pytest

=== common/vendor/json/tests/cmake_import/CMakeLists.txt ===
add_test(NAME cmake_import_configure
  COMMAND ${CMAKE_COMMAND}
    -G "${CMAKE_GENERATOR}"
    -A "${CMAKE_GENERATOR_PLATFORM}"
    -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
    -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
    -Dnlohmann_json_DIR=${PROJECT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/project
)
add_test(NAME cmake_import_build
  COMMAND ${CMAKE_COMMAND} --build .
)
set_tests_properties(cmake_import_configure PROPERTIES
  FIXTURES_SETUP cmake_import
  LABELS not_reproducible
)
set_tests_properties(cmake_import_build PROPERTIES
  FIXTURES_REQUIRED cmake_import
  LABELS not_reproducible
)

=== debian/changelog ===
mender-client4 (5.1.0~git20251208.cd0537f1-1+ubuntu+noble+builder2202837318) experimental; urgency=medium

  * Release 5.1.0~git20251208.cd0537f1-1+ubuntu+noble+builder2202837318.
    See online docs for complete changelog

 -- root <root@a5a162fc0419>  Mon, 08 Dec 2025 20:07:38 +0000

## mender-client4 5.1.0~git20251209.77d512fa

=== debian/changelog ===
mender-client4 (5.1.0~git20251209.77d512fa-1+ubuntu+noble+builder2205195466) experimental; urgency=medium

  * Release 5.1.0~git20251209.77d512fa-1+ubuntu+noble+builder2205195466.
    See online docs for complete changelog

 -- root <root@f2d07e302dfd>  Tue, 09 Dec 2025 20:09:41 +0000

## mender-client4 5.1.0~git20251210.ba509b74

=== modules-artifact-gen/tests/requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     # via pytest
 pygments==2.19.1
     # via pytest
-pytest==9.0.1
+pytest==9.0.2
     # via -r requirements.in
 tomli==2.0.1
     # via pytest

=== common/vendor/optional-lite/test/CMakeLists.txt ===
# Copyright 2017-2018 by Martin Moene
#
# https://github.com/martinmoene/optional-lite
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

if( NOT DEFINED CMAKE_MINIMUM_REQUIRED_VERSION )
    cmake_minimum_required( VERSION 3.15 FATAL_ERROR )
endif()

project( test LANGUAGES CXX )

set( unit_name "optional" )
set( PACKAGE   ${unit_name}-lite )
set( PROGRAM   ${unit_name}-lite )
set( SOURCES   ${unit_name}-main.t.cpp ${unit_name}.t.cpp )
set( TWEAKD    "." )

message( STATUS "Subproject '${PROJECT_NAME}', programs '${PROGRAM}-*'")

set( OPTIONS "" )
set( DEFCMN  "" )

set( HAS_STD_FLAGS  FALSE )
set( HAS_CPP98_FLAG FALSE )
set( HAS_CPP11_FLAG FALSE )
set( HAS_CPP14_FLAG FALSE )
set( HAS_CPP17_FLAG FALSE )
set( HAS_CPP20_FLAG FALSE )
set( HAS_CPPLATEST_FLAG FALSE )

if( MSVC )
    message( STATUS "Matched: MSVC")

    set( HAS_STD_FLAGS TRUE )

    set( OPTIONS     -W3 -EHsc )
    set( DEFINITIONS -D_SCL_SECURE_NO_WARNINGS ${DEFCMN} )

    if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 19.00 )
        set( HAS_CPP14_FLAG TRUE )
        set( HAS_CPPLATEST_FLAG TRUE )
    endif()
    if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 19.11 )
        set( HAS_CPP17_FLAG TRUE )
    endif()

elseif( CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang|AppleClang" )
    message( STATUS "CompilerId: '${CMAKE_CXX_COMPILER_ID}'")

    set( HAS_STD_FLAGS  TRUE )
    set( HAS_CPP98_FLAG TRUE )

    set( OPTIONS     -Wall -Wextra -Wconversion -Wsign-conversion -Wno-missing-braces -fno-elide-constructors )
    set( DEFINITIONS ${DEFCMN} )

    # GNU: available -std flags depends on version
    if( CMAKE_CXX_COMPILER_ID MATCHES "GNU" )
        message( STATUS "Matched: GNU")

        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8.0 )
            set( HAS_CPP11_FLAG TRUE )
        endif()
        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9.2 )
            set( HAS_CPP14_FLAG TRUE )
        endif()
        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 7.1.0 )
            set( HAS_CPP17_FLAG TRUE )
        endif()

    # AppleClang: available -std flags depends on version
    elseif( CMAKE_CXX_COMPILER_ID MATCHES "AppleClang" )
        message( STATUS "Matched: AppleClang")

        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5.0.0 )
            set( HAS_CPP11_FLAG TRUE )
        endif()
        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5.1.0 )
            set( HAS_CPP14_FLAG TRUE )
        endif()
        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9.2.0 )
            set( HAS_CPP17_FLAG TRUE )
        endif()

    # Clang: available -std flags depends on version
    elseif( CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
        message( STATUS "Matched: Clang")

        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.3.0 )
            set( HAS_CPP11_FLAG TRUE )
        endif()
        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.4.0 )
            set( HAS_CPP14_FLAG TRUE )
        endif()
        if( NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5.0.0 )
            set( HAS_CPP17_FLAG TRUE )
        endif()
    endif()

elseif( CMAKE_CXX_COMPILER_ID MATCHES "Intel" )
    # as is
    message( STATUS "Matched: Intel")
else()
    # as is
    message( STATUS "Matched: nothing")
endif()

# enable MS C++ Core Guidelines checker if MSVC:

function( enable_msvs_guideline_checker target )
    if( MSVC )
        set_target_properties( ${target} PROPERTIES
        VS_GLOBAL_EnableCppCoreCheck true
        VS_GLOBAL_CodeAnalysisRuleSet CppCoreCheckRules.ruleset
        VS_GLOBAL_RunCodeAnalysis true )
    endif()
endfunction()

# make target, compile for given standard if specified:

function( make_target target std )
    message( STATUS "Make target: '${std}'" )

    add_executable            ( ${target} ${SOURCES} )
    target_include_directories( ${target} SYSTEM  PRIVATE lest )
    target_include_directories( ${target} PRIVATE ${TWEAKD} )
    target_link_libraries     ( ${target} PRIVATE ${PACKAGE} )
    target_compile_options    ( ${target} PRIVATE ${OPTIONS} )
    target_compile_definitions( ${target} PRIVATE ${DEFINITIONS} )

    if( std )
        if( MSVC )
            target_compile_options( ${target} PRIVATE -std:c++${std} )
        else()
            # Necessary for clang 3.x:
            target_compile_options( ${target} PRIVATE -std=c++${std} )
            # Ok for clang 4 and later:
            # set( CMAKE_CXX_STANDARD ${std} )
            # set( CMAKE_CXX_STANDARD_REQUIRED ON )
            # set( CMAKE_CXX_EXTENSIONS OFF )
        endif()
    endif()
endfunction()

# add generic executable, unless -std flags can be specified:

if( NOT HAS_STD_FLAGS )
    make_target( ${PROGRAM}.t "" )
else()
    # unconditionally add C++98 variant as MSVC has no option for it:
    if( HAS_CPP98_FLAG )
        make_target( ${PROGRAM}-cpp98.t 98 )
    else()
        make_target( ${PROGRAM}-cpp98.t "" )
    endif()

    if( HAS_CPP11_FLAG )
        make_target( ${PROGRAM}-cpp11.t 11 )
    endif()

    if( HAS_CPP14_FLAG )
        make_target( ${PROGRAM}-cpp14.t 14 )
    endif()

    if( HAS_CPP17_FLAG )
        set( std17 17 )
        if( CMAKE_CXX_COMPILER_ID MATCHES "AppleClang" )
            set( std17 1z )
        endif()
        make_target( ${PROGRAM}-cpp17.t ${std17} )
        enable_msvs_guideline_checker( ${PROGRAM}-cpp17.t )
    endif()

    if( HAS_CPPLATEST_FLAG )
        make_target( ${PROGRAM}-cpplatest.t latest )
    endif()
endif()

# with C++17, honour explicit request for std::optional or nonstd::optional:

if( HAS_CPP17_FLAG )
    set( WHICH optional_OPTIONAL_DEFAULT )

    if( OPTIONAL_LITE_OPT_SELECT_STD )
        set( WHICH optional_OPTIONAL_STD )
    elseif( OPTIONAL_LITE_OPT_SELECT_NONSTD )
        set( WHICH optional_OPTIONAL_NONSTD )
    endif()

    target_compile_definitions( ${PROGRAM}-cpp17.t PRIVATE optional_CONFIG_SELECT_OPTIONAL=${WHICH} )

    if( HAS_CPPLATEST_FLAG )
        target_compile_definitions( ${PROGRAM}-cpplatest.t PRIVATE optional_CONFIG_SELECT_OPTIONAL=${WHICH} )
    endif()
endif()

# configure unit tests via CTest:

enable_testing()

if( HAS_STD_FLAGS )
    # unconditionally add C++98 variant for MSVC:
    add_test(     NAME test-cpp98     COMMAND ${PROGRAM}-cpp98.t )

    if( HAS_CPP11_FLAG )
        add_test( NAME test-cpp11     COMMAND ${PROGRAM}-cpp11.t )
    endif()
    if( HAS_CPP14_FLAG )
        add_test( NAME test-cpp14     COMMAND ${PROGRAM}-cpp14.t )
    endif()
    if( HAS_CPP17_FLAG )
        add_test( NAME test-cpp17     COMMAND ${PROGRAM}-cpp17.t )
    endif()
    if( HAS_CPPLATEST_FLAG )
        add_test( NAME test-cpplatest COMMAND ${PROGRAM}-cpplatest.t )
    endif()
else()
    add_test(     NAME test           COMMAND ${PROGRAM}.t --pass )
    add_test(     NAME list_version   COMMAND ${PROGRAM}.t --version )
    add_test(     NAME list_tags      COMMAND ${PROGRAM}.t --list-tags )
    add_test(     NAME list_tests     COMMAND ${PROGRAM}.t --list-tests )
endif()

# end of file

=== common/vendor/json/tests/cmake_fetch_content/CMakeLists.txt ===
if (${CMAKE_VERSION} VERSION_GREATER "3.11.0")
  add_test(NAME cmake_fetch_content_configure
    COMMAND ${CMAKE_COMMAND}
    -G "${CMAKE_GENERATOR}"
    -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
    -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
    -Dnlohmann_json_source=${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/project
  )
  add_test(NAME cmake_fetch_content_build
    COMMAND ${CMAKE_COMMAND} --build .
  )
  set_tests_properties(cmake_fetch_content_configure PROPERTIES
    FIXTURES_SETUP cmake_fetch_content
    LABELS "git_required;not_reproducible"
  )
  set_tests_properties(cmake_fetch_content_build PROPERTIES
    FIXTURES_REQUIRED cmake_fetch_content
    LABELS "git_required;not_reproducible"
  )
endif()

=== common/vendor/json/tests/cmake_fetch_content2/CMakeLists.txt ===
if (${CMAKE_VERSION} VERSION_GREATER "3.14.0")
  add_test(NAME cmake_fetch_content2_configure
    COMMAND ${CMAKE_COMMAND}
    -G "${CMAKE_GENERATOR}"
    -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
    -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
    -Dnlohmann_json_source=${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/project
  )
  add_test(NAME cmake_fetch_content2_build
    COMMAND ${CMAKE_COMMAND} --build .
  )
  set_tests_properties(cmake_fetch_content2_configure PROPERTIES
    FIXTURES_SETUP cmake_fetch_content2
    LABELS "git_required;not_reproducible"
  )
  set_tests_properties(cmake_fetch_content2_build PROPERTIES
    FIXTURES_REQUIRED cmake_fetch_content2
    LABELS "git_required;not_reproducible"
  )
endif()

=== debian/changelog ===
mender-client4 (5.1.0~git20251210.ba509b74-1+ubuntu+noble+builder2214097146) experimental; urgency=medium

  * Release 5.1.0~git20251210.ba509b74-1+ubuntu+noble+builder2214097146.
    See online docs for complete changelog

 -- root <root@bf1b8b55d1fd>  Sun, 14 Dec 2025 20:08:11 +0000

## mender-client4 5.1.0~git20251216.071df7a3

=== common/vendor/json/docs/mkdocs/requirements.txt ===
wheel==0.45.1

mkdocs==1.6.1                                       # documentation framework
mkdocs-git-revision-date-localized-plugin==1.5.0    # plugin "git-revision-date-localized"
mkdocs-material==9.7.0                             # theme for mkdocs
mkdocs-material-extensions==1.3.1                   # extensions
mkdocs-minify-plugin==0.8.0                         # plugin "minify"
mkdocs-redirects==1.2.2                             # plugin "redirects"
mkdocs-htmlproofer-plugin==1.4.0                    # plugin "htmlproofer"

PyYAML==6.0.3                                       # linter

=== debian/changelog ===
mender-client4 (5.1.0~git20251216.071df7a3-1+ubuntu+noble+builder2223060572) experimental; urgency=medium

  * Release 5.1.0~git20251216.071df7a3-1+ubuntu+noble+builder2223060572.
    See online docs for complete changelog

 -- root <root@033b85f736fc>  Thu, 18 Dec 2025 20:08:34 +0000

## mender-client4 5.1.0~git20251219.212b6a77

=== debian/changelog ===
mender-client4 (5.1.0~git20251219.212b6a77-1+ubuntu+noble+builder2224425393) experimental; urgency=medium

  * Release 5.1.0~git20251219.212b6a77-1+ubuntu+noble+builder2224425393.
    See online docs for complete changelog

 -- root <root@1444a39b92a1>  Fri, 19 Dec 2025 12:40:37 +0000

## mender-client4 5.1.0~git20251222.fbae1d76

=== debian/changelog ===
mender-client4 (5.1.0~git20251222.fbae1d76-1+ubuntu+noble+builder2241044353) experimental; urgency=medium

  * Release 5.1.0~git20251222.fbae1d76-1+ubuntu+noble+builder2241044353.
    See online docs for complete changelog

 -- root <root@6c0d4101eba7>  Thu, 01 Jan 2026 20:08:27 +0000

=== debian/control ===
Source: mender-client4
Maintainer: The Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 4.0.0
Build-Depends-Indep: cmake, debhelper (>= 10)
Build-Depends: liblmdb-dev (>= 0.9.7), libc6-dev (>= 2.14), libboost-dev (>= 1.67.0), libboost-filesystem-dev (>= 1.67.0), libboost-log-dev (>= 1.67.0), libboost-regex-dev (>= 1.67.0), libboost-chrono-dev (>= 1.67.0), libboost-thread-dev (>= 1.67.0), libboost-atomic-dev (>= 1.67.0),  libssl-dev (>= 1.1.1), libarchive-dev (>= 3.2.2), libdbus-1-dev, libsystemd-dev
Homepage: https://mender.io

Package: mender-client4
Conflicts: mender, mender-client
Replaces: mender-client, mender-auth, mender-update, mender-snapshot, mender-setup
Architecture: any
Depends: mender-auth (= ${source:Version}), mender-update (= ${source:Version}), mender-snapshot, mender-setup, mender-flash
Description: Mender client
 Mender is an open source over-the-air (OTA) software updater for embedded Linux devices.

Package: mender-update
Conflicts: mender, mender-client
Architecture: any
Depends: mender-auth, ${shlibs:Depends}, ${misc:Depends}
Recommends: mender-flash, mender-setup
Description: Mender update
 Mender-update is an open source over-the-air (OTA) software updater for embedded Linux devices.

Package: mender-auth
Conflicts: mender, mender-client
Architecture: any
Depends: dbus, ${shlibs:Depends}, ${misc:Depends}
Recommends: mender-setup
Description: Mender auth
 Mender-auth enables centralized authentication against a Mender server.

Package: mender-client4-dev
Architecture: all
Depends: mender-client4 (= ${binary:Version}), ${misc:Depends}
Description: Mender client development files
 Mender is an open source over-the-air (OTA) software updater for embedded Linux devices.
 .
 This package contains the development files:
 * D-Bus API interface files

## mender-client4 5.1.0~git20260105.fb77688f

=== common/vendor/json/tests/cmake_fetch_content2/project/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(DummyImport CXX)

include(FetchContent)

get_filename_component(GIT_REPOSITORY_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/../../.. ABSOLUTE)
FetchContent_Declare(json GIT_REPOSITORY ${GIT_REPOSITORY_DIRECTORY} GIT_TAG HEAD)
FetchContent_MakeAvailable(json)

if(MSVC)
    add_compile_options(/EHsc)
endif()

add_executable(with_namespace_target main.cpp)
target_link_libraries(with_namespace_target nlohmann_json::nlohmann_json)

add_executable(without_namespace_target main.cpp)
target_link_libraries(without_namespace_target nlohmann_json)

=== common/vendor/json/tests/cmake_import/project/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.14)

project(DummyImport CXX)

find_package(nlohmann_json REQUIRED)

if(MSVC)
    add_compile_options(/EHsc)
endif()

add_executable(with_namespace_target main.cpp)
target_link_libraries(with_namespace_target nlohmann_json::nlohmann_json)

add_executable(without_namespace_target main.cpp)
target_link_libraries(without_namespace_target nlohmann_json)

=== debian/changelog ===
mender-client4 (5.1.0~git20260105.fb77688f-1+ubuntu+noble+builder2252445003) experimental; urgency=medium

  * Release 5.1.0~git20260105.fb77688f-1+ubuntu+noble+builder2252445003.
    See online docs for complete changelog

 -- root <root@110cacb42b94>  Thu, 08 Jan 2026 20:09:08 +0000

## mender-client4 5.1.0~git20260109.2cae2f4b

=== debian/changelog ===
mender-client4 (5.1.0~git20260109.2cae2f4b-1+ubuntu+noble+builder2256632661) experimental; urgency=medium

  * Release 5.1.0~git20260109.2cae2f4b-1+ubuntu+noble+builder2256632661.
    See online docs for complete changelog

 -- root <root@51ae0f8d734d>  Sun, 11 Jan 2026 20:18:15 +0000

## mender-client4 5.1.0~git20260112.64eea292

=== debian/changelog ===
mender-client4 (5.1.0~git20260112.64eea292-1+ubuntu+noble+builder2258752316) experimental; urgency=medium

  * Release 5.1.0~git20260112.64eea292-1+ubuntu+noble+builder2258752316.
    See online docs for complete changelog

 -- root <root@cb86075af5f4>  Mon, 12 Jan 2026 20:24:36 +0000

## mender-client4 5.1.0~git20260113.09a6cc38

=== common/vendor/json/tests/cmake_add_subdirectory/project/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.14)

project(DummyImport CXX)

if(MSVC)
    add_compile_options(/EHsc)
endif()

set(JSON_BuildTests OFF CACHE INTERNAL "")
add_subdirectory(${nlohmann_json_source}
   ${CMAKE_CURRENT_BINARY_DIR}/nlohmann_json)

add_executable(with_namespace_target main.cpp)
target_link_libraries(with_namespace_target nlohmann_json::nlohmann_json)

add_executable(without_namespace_target main.cpp)
target_link_libraries(without_namespace_target nlohmann_json)

if(NOT MSVC)
    add_executable(without_exceptions main.cpp)
    target_link_libraries(without_exceptions nlohmann_json::nlohmann_json)
    target_compile_definitions(without_exceptions PRIVATE JSON_NOEXCEPTION)
    target_compile_options(without_exceptions PRIVATE -fno-exceptions)
endif()

=== debian/changelog ===
mender-client4 (5.1.0~git20260113.09a6cc38-1+ubuntu+noble+builder2269192253) experimental; urgency=medium

  * Release 5.1.0~git20260113.09a6cc38-1+ubuntu+noble+builder2269192253.
    See online docs for complete changelog

 -- root <root@15b7ea89eb6f>  Sat, 17 Jan 2026 20:09:04 +0000

## mender-client4 5.1.0~git20260118.de700319

=== debian/changelog ===
mender-client4 (5.1.0~git20260118.de700319-1+ubuntu+noble+builder2270116093) experimental; urgency=medium

  * Release 5.1.0~git20260118.de700319-1+ubuntu+noble+builder2270116093.
    See online docs for complete changelog

 -- root <root@a01adc956bef>  Sun, 18 Jan 2026 20:09:14 +0000

## mender-client4 5.1.0~git20260120.be287a76

=== debian/changelog ===
mender-client4 (5.1.0~git20260120.be287a76-1+ubuntu+noble+builder2274676335) experimental; urgency=medium

  * Release 5.1.0~git20260120.be287a76-1+ubuntu+noble+builder2274676335.
    See online docs for complete changelog

 -- root <root@7c47aa51c32b>  Tue, 20 Jan 2026 20:08:55 +0000
